
* RANDOM INTERCEPT MODEL
* Baseline model: DIC 13187.07
sort PEfirm1 industry1 fund1  company1 entry1
runmlwin perfmean cons, level5(PEfirm1: cons) level4(industry1: cons) level3(fund1: cons)  level2(company1: cons) level1(entry1: cons) rigls nopause
matrix b = e(b)
matrix V = e(V)
runmlwin perfmean cons, level5(PEfirm1: cons) level4(industry1: cons) level3(fund1: cons)  level2(company1: cons) level1(entry1: cons) mcmc(on) initsb(b) initsv(V) nopause

* RANDOM SLOPE MODELS
* First Dummy Flip
gen flip = 1 if duration <=2
replace flip = 0 if flip ==.
* Second Dummy Longer (the opposite of Flip)
gen longer = 0 if duration <=2
replace longer = 1 if longer ==.
* Correlation between First Dummy Flip and Second Dummy Longer equal -1
corr flip longer


* Model with First Dummy Flip: DIC 12989.52 and COV(cons, flip) negative. Given that the DIC is lower than the baseline model (i.e., lower than 13187.07)
* than I conclude that the variance explained by the PEfirm1 effect is lower when Flip equal 1
sort PEfirm1 industry1 fund1  company1 entry1
runmlwin perfmean cons, level5(PEfirm1: cons flip) level4(industry1: cons) level3(fund1: cons)  level2(company1: cons) level1(entry1: cons) rigls nopause
matrix b = e(b)
matrix V = e(V)
runmlwin perfmean cons, level5(PEfirm1: cons flip) level4(industry1: cons) level3(fund1: cons)  level2(company1: cons) level1(entry1: cons) mcmc(on) initsb(b) initsv(V) nopause


* Model with Second Dummy Longer: DIC 12966.74 and COV(cons, Longer) negative. Given that the DIC is lower than the baseline model (i.e., lower than 13187.07)
* than I conclude that the variance explained by the PEfirm1 effect is lower when Longer equal 1. I would have expected the opposite since I am using in this model 
* a Dummy (i.e., Longer) that is the opposite of the dummy used in the model above (i.e., Flip)
sort PEfirm1 industry1 fund1  company1 entry1
runmlwin perfmean cons, level5(PEfirm1: cons longer) level4(industry1: cons) level3(fund1: cons)  level2(company1: cons) level1(entry1: cons) rigls nopause
matrix b = e(b)
matrix V = e(V)
runmlwin perfmean cons, level5(PEfirm1: cons longer) level4(industry1: cons) level3(fund1: cons)  level2(company1: cons) level1(entry1: cons) mcmc(on) initsb(b) initsv(V) nopause


* IN SUM, THE TWO DUMMIES, THAT ARE ONE THE OPPOSITE OF THE OTHER, BRING DIFFERENT RESULTS.

* For your information, we obtain exactely the opposite results of Flip, only when we construct the opposite of the Flip dummy as in the model below. You see that in this case
* the COV(cons, oppositeflip) is positive (i.e., +0.04) and takes exactly the opposite value of when we use Flip (i.e., -0.04)
gen oppositeflip = flip * -1
corr flip oppositeflip
sort PEfirm1 industry1 fund1  company1 entry1
runmlwin perfmean cons, level5(PEfirm1: cons oppositeflip) level4(industry1: cons) level3(fund1: cons)  level2(company1: cons) level1(entry1: cons) rigls nopause
matrix b = e(b)
matrix V = e(V)
runmlwin perfmean cons, level5(PEfirm1: cons oppositeflip) level4(industry1: cons) level3(fund1: cons)  level2(company1: cons) level1(entry1: cons) mcmc(on) initsb(b) initsv(V) nopause

